<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [click](./puppeteer.page.click.md)

## Page.click() method

<b>Signature:</b>

```typescript
click(selector: string, options?: {
        delay?: number;
        button?: MouseButtonInput;
        clickCount?: number;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selector | string |  |
|  options | { delay?: number; button?: [MouseButtonInput](./puppeteer.mousebuttoninput.md)<!-- -->; clickCount?: number; } |  |

<b>Returns:</b>

Promise&lt;void&gt;

